[BITS 32]
extern printf
extern getchar
global main

main:
	push bp
	mov bp,sp
	mov bx,message
	push bx
	mov bx,printf
	call bx
	add sp,4
	mov bx,getchar
	call bx
	mov ax,0
	leave
	ret

message: db 'Hello, World!',10,0
